
// All images will be assigned the same size as the canvas.
// The images will be previously edited to assign the percentages.

<Cabbage>
form caption("ResizeGUI") size(791, 386), colour(58, 110, 182,0), pluginid("Regi"), guirefresh(10), scale(1), identchannel("formIdent"), bundle("./Resources/")
image bounds(0, 0, 791, 386) file("Resources/img50.png"), identchannel("resimg1")
image bounds(0, 0, 791, 386) file("Resources/img100.png"), identchannel("resimg2")
image bounds(0, 0, 791, 386) file("Resources/img150.png"), identchannel("resimg3")
image bounds(0, 0, 791, 386) file("Resources/img200.png"), identchannel("resimg4") 
combobox bounds(310, 20, 85, 25), channel("sizes"), , text("50%", "100%", "150%", "200%"), value(2) colour(41, 41, 41, 255)
label    bounds(302, 54, 101, 16), text("RESIZE") 
</Cabbage>
<CsoundSynthesizer>
<CsOptions>
-n -d
</CsOptions>
<CsInstruments>

ksmps = 32
nchnls = 2
0dbfs = 1


instr 1 

// switch images ##############
                                   
kmodelsw	 chnget "sizes"
iNumOfImg	=			4
kChange		changed		kmodelsw

if kChange == 1 then
	reinit SCAN_SLIDER
endif

SCAN_SLIDER:
kCounter = 0
while kCounter <= iNumOfImg do

	if i(kmodelsw) == kCounter then
		if (kCounter != 0) then
			SVisible  sprintfk  "resimg%d", kCounter
			chnset "visible(1)",SVisible
		endif
		kTemp = 0
		while kTemp <= iNumOfImg do
			if (kTemp != kCounter) then
				SInvisible 	sprintfk	"resimg%d", kTemp
				chnset	"visible(0)", SInvisible
			endif
			kTemp += 1
		od
	endif
	kCounter += 1
od

rireturn


// resize ##############

kSize chnget "sizes"
if changed:k(kSize) == 1 then
    SMessage sprintfk "scale(%f)", kSize/2
    chnset SMessage, "formIdent"
endif

//######################

endin

</CsInstruments>
<CsScore>
f0 z
i1 0 [60*60*24*7] 
</CsScore>
</CsoundSynthesizer>
